Subject: Re: bug#67034: 30.0.50; Make `derived-mode-p` take a single arg

From: Dmitry Gutov <[email-masked]>
Date: Sat, 11 Nov 2023 02:04:29 +0200

On 10/11/2023 14:18, Daniel Mendler wrote:
> There are also multiple call sites with apply, but these would be
> arguably nicer if derived-mode-p takes a list argument as proposed.
> Still, do the benefits of this change outweigh the required changes?

I've also found some call sites with multiple arguments (one of them 
being sml-mode 6.12) and also uses with (apply #'derived-mode-p 
some-user-option-list-of-modes). But those are indeed in the minority.

I wonder if this extra allocation of &rest makes any difference in any 
benchmark, though.